package com.gic.haoban.manage.api.dto.qdto.chat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class GroupChatPlanSearchQDTO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = -4052311727115335624L;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String searchParams;
    private String searchParamsLike ;
    // 1进行中、2未开始、3已结束
    private Integer status;
    // 群主 0发送失败 1待发送 2已发送 3放弃 30(失败+放弃)
    private Integer sendStatus ; 
    // 群名称
    private String chatName ;
    private Long planId;
    private Date startDate;
    private Date endDate;
    private String clerkId ;
    private String storeId ;
    private Long ownLogId ;
    private List<String> creatorIdList ;
    private String wxChatId;
    private String searchClerkId ;
    // clerkTaskStatus  1待处理    2已处理/已失效
    private int clerkTaskStatus ;

    public String getSearchParamsLike() {
        return searchParamsLike;
    }

    public void setSearchParamsLike(String searchParamsLike) {
        this.searchParamsLike = searchParamsLike;
    }

    public int getClerkTaskStatus() {
        return clerkTaskStatus;
    }

    public void setClerkTaskStatus(int clerkTaskStatus) {
        this.clerkTaskStatus = clerkTaskStatus;
    }

    public String getSearchClerkId() {
        return searchClerkId;
    }

    public void setSearchClerkId(String searchClerkId) {
        this.searchClerkId = searchClerkId;
    }

    public String getWxChatId() {
        return wxChatId;
    }

    public void setWxChatId(String wxChatId) {
        this.wxChatId = wxChatId;
    }

    public List<String> getCreatorIdList() {
        return creatorIdList;
    }

    public void setCreatorIdList(List<String> creatorIdList) {
        this.creatorIdList = creatorIdList;
    }

    public Long getOwnLogId() {
        return ownLogId;
    }

    public void setOwnLogId(Long ownLogId) {
        this.ownLogId = ownLogId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getChatName() {
        return chatName;
    }

    public void setChatName(String chatName) {
        this.chatName = chatName;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public Integer getStatus() {
        return status;
    }

    public Long getPlanId() {
        return planId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

}
